Cyberduck Mountain Duck CLI

#10469 closed defect (fixed)

IPv6 reachable servers time out with wrong utun* interface selected

Reported by: MichaelBleistein Owned by: dkocher
Priority: normal Milestone: 7.1
Component: core Version: 6.8.0
Severity: normal Keywords: IPv6
Cc: Architecture: Intel
Platform: macOS 10.14

Description

Trying to access a server with DNS resolution of AAAA records with IPv6 address results in a connection timeout. Same if we specify the IPv6 address directly. Accessing the same server via its IPv4 address works fine. Nothing is recorded in the log drawer...

Change History (14)

comment:1 Changed on Oct 4, 2018 at 1:52:27 PM by dkocher

  • Milestone set to 6.8.1
  • Platform set to macOS 10.14
  • Summary changed from IPv6 reachable servers time out on Mojave beta to IPv6 reachable servers time out

comment:2 Changed on Oct 5, 2018 at 9:42:57 AM by yla

I was unable to replicate the issue with Google Drive on Mojave when specifying 2607:f8b0:4007:804::200a for www.googleapis.com as hostname in the bookmark. Can you provide the IPv6 address if your server publicly reachable?

comment:3 Changed on Oct 5, 2018 at 2:42:57 PM by MichaelBleistein

  • Owner set to MichaelBleistein

We cannot sftp 2001:470:1f0b:7df:12dd:b1ff:febd:6a5d, timing out with cyberduck. If we use sftp/ssh from the command line or other apps on the same machine in the same network everything works fine.

comment:4 Changed on Oct 5, 2018 at 2:57:06 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

comment:5 Changed on Oct 30, 2018 at 2:46:10 PM by MichaelBleistein

We have done a bit more research. In general other sftp clients like "Transmit" work without any problems on the same mac os x machine and the same user account. IPv6 connections are only a problem in cyberduck!

During our research we found ticket #8848... It was resolved by putting utun0 on a blacklist of interfaces.

Our machine also implements utun1-utun4 interfaces. So after removing these interfaces the behaviour changes. We do not get timeouts anymore but "no route to host errors" immediately. It looks like cyberduck is still trying to use an interface with no internet connectivity.

Is there a way to specify the interface cyberduck should use for connections?

comment:6 Changed on Oct 31, 2018 at 7:14:08 AM by MichaelBleistein

  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:7 Changed on Oct 31, 2018 at 9:03:55 AM by dkocher

  • Milestone changed from 6.8.1 to 7.0

comment:8 Changed on Oct 31, 2018 at 4:33:09 PM by dkocher

  • Summary changed from IPv6 reachable servers time out to IPv6 reachable servers time out with wrong utun* interface selected

comment:9 Changed on Nov 22, 2018 at 9:55:58 AM by dkocher

As a workaround you could try to modify the default blacklist of interfaces using

defaults write ch.sudo.cyberduck network.interface.blacklist awdl0 utun0 utun1 utun2 utun3 utun4

comment:10 Changed on May 31, 2019 at 3:07:39 PM by dkocher

  • Milestone 7.0 deleted

comment:11 Changed on Aug 17, 2019 at 7:43:11 PM by dkocher

  • Milestone set to 7.1

comment:12 Changed on Aug 20, 2019 at 10:07:57 AM by dkocher

  • Owner changed from MichaelBleistein to dkocher
  • Status changed from reopened to new

comment:13 Changed on Aug 20, 2019 at 10:08:23 AM by dkocher

  • Status changed from new to assigned

comment:14 Changed on Aug 20, 2019 at 11:47:50 AM by yla

  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed in r47550.

Note: See TracTickets for help on using tickets.
swiss made software